Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation.expression
Interface Criteria

All Known Implementing Classes:
  CriteriaImpl

Deprecated. Use `Expression` instead.

public interface Criteria
extends Expression

The simple expression container in an expression string.

This will model a property name, an comparision operator, and a value to match against the name. In this fashion simple boolean logic can be utilized.

For use in the personalization and commerce servers, the comparision operator values must be the constants specified in TypesHelper (e.g. EQUALS, NOT_EQUALS, LIKE, etc.). This is because the logic which handles the Criteria objects will compare the operator against those constants.

To create Criteria objects, either use CriteriaHome.create() and set property, criteria, and comparator, or use ExpressionHelper to parse a query string into an Expression.

Attribute: criteria

- Containment: By Value
- Multiplicity: 1:1
- This is the literal value to compare the value of the property against. To operate with a Search object for Content, this should be a java.lang.String, a java.lang.Number, a java.lang.Boolean, a java.sql.Timestamp, or a java.util.Collection of those four. Anything else is considered a USER_DEFINED object and may not work.

Attribute: property

- Containment: By Value
- Multiplicity: 1:1
- The name of the property to compare.

Attribute: scope

- Containment: By Value
- Multiplicity: 1:1
- The scope of the property to compare.

Attribute: comparator

- Containment: By Value
- Multiplicity: 1:1
- The value should one of the nine constants from TypesHelper (EQUALS, NOT_EQUALS, GREATER_THAN, LESS_THAN, GREATER_THAN_EQUALS, LESS_THAN_EQUALS, LIKE, CONTAINS, CONTAINS_ALL)

See Also:
  `CriteriaHome`, `CriteriaImpl`, `TypesHelper`, `ExpressionHelper`, `ExpressionHelper`

Method Summary
`java.lang.String` | `getComparator()` Deprecated. Get the comparision operator.
`java.lang.Object` | `getCriteria()` Deprecated. Get the literial value to compare against.
`java.lang.String` | `getProperty()` Deprecated. Get the property name to compare against.
`java.lang.String` | `getScope()` Deprecated. Get the property name's scope to compare against.
`void` | `setComparator(java.lang.String comparator)` Deprecated. Set the comparision operator
`void` | `setCriteria(java.lang.Object criteria)` Deprecated. Set the literal value to compare against.
`void` | `setProperty(java.lang.String property)` Deprecated. Set the property name to compare against.
`void` | `setScope(java.lang.String scope)` Deprecated. Set the property name's scope to compare against.

Methods inherited from interface com.beasys.commerce.foundation.expression.Expression
`getNot, interfaceName, setByValue, setNot, toString, value, valueOf`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getCriteria

    public java.lang.Object getCriteria()

  Deprecated.
  Get the literial value to compare against.

### setCriteria

    public void setCriteria(java.lang.Object criteria)

  Deprecated.
  Set the literal value to compare against.

### getProperty

    public java.lang.String getProperty()

  Deprecated.
  Get the property name to compare against.

### setProperty

    public void setProperty(java.lang.String property)

  Deprecated.
  Set the property name to compare against.

### getScope

    public java.lang.String getScope()

  Deprecated.
  Get the property name's scope to compare against.

### setScope

    public void setScope(java.lang.String scope)

  Deprecated.
  Set the property name's scope to compare against.

### getComparator

    public java.lang.String getComparator()

  Deprecated.
  Get the comparision operator.

### setComparator

    public void setComparator(java.lang.String comparator)

  Deprecated.
  Set the comparision operator

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved